#!/bin/bash
mysql_fix_privilege_tables --user=root --password=eLaStIx.2oo7
yum -y install screen nano patch subversion ngrep
rm -rf /var/lib/asterisk/bin/freepbx_engine
mv freepbx_engine /var/lib/asterisk/bin/
rm -rf /etc/rc.d/init.d/asterisk
mv asterisk /etc/rc.d/init.d/
rm -rf /etc/asterisk/vm_general.inc
mv vm_general.inc /etc/asterisk/vm_general.inc
mv ExternNotify /var/lib/asterisk/bin/
#Get asterisk-perl-xxx.tar.gz from http://asterisk.gnuinter.net/
tar xzf asterisk-perl-0.08.tar.gz
cd asterisk-perl-0.08
perl Makefile.PL
make all
make install
cd ..
#rm -rf asterisk-perl-0.08
#get astguiclient and install it (http://astguiclient.sourceforge.net)
#mkdir astguiclient220
#cd astguiclient220
svn checkout svn://svn.eflo.net:43690/agc_2-X/trunk
mv trunk astguiclient
#unzip ../astguiclient_2.2.0rc7.zip
patch -i nat.patch astguiclient/install.pl
patch -i admincronpatch.patch astguiclient/bin/ADMIN_keepalive_ALL.pl
cd astguiclient
perl install.pl --no-prompt --web=/var/www/html
cd ..
#rm -rf astguiclient

#configure asterisk conf files
grep "vicidial" /etc/asterisk/sip_custom.conf
if [ "$?" == "1" ]; then
  echo '#include sip-vicidial.conf' >> /etc/asterisk/sip_custom.conf
fi
grep "vicidial" /etc/asterisk/iax_custom.conf
if [ "$?" == "1" ]; then
  echo '#include iax-vicidial.conf' >> /etc/asterisk/iax_custom.conf
fi
grep "vicidial" /etc/asterisk/extensions_custom.conf
if [ "$?" == "1" ]; then
  cat extensions.conf >> /etc/asterisk/extensions_custom.conf
fi
grep "vicidial" /etc/asterisk/meetme.conf
if [ "$?" == "1" ]; then
  echo '#include meetme-vicidial.conf' >> /etc/asterisk/meetme.conf
fi
grep "vicidial" /etc/asterisk/musiconhold_custom.conf
if [ "$?" == "1" ]; then
  echo '#include musiconhold-vicidial.conf' >> /etc/asterisk/musiconhold_custom.conf
fi
grep "cron" /etc/asterisk/manager.conf
if [ "$?" == "1" ]; then
  cat manager.conf >> /etc/asterisk/manager.conf
fi

#configure perl requirements
yum install perl-Net-Telnet -y

#configure MySQL
mysql -uroot -peLaStIx.2oo7 < astguiclient.sql
/usr/share/astguiclient/ADMIN_update_server_ip.pl --old-server_ip=10.10.10.15 --server_ip=127.0.0.1 --auto
/usr/share/astguiclient/ADMIN_area_code_populate.pl
cp astguiclient/extras/performance_test_leads.txt /usr/share/astguiclient/LEADS_IN/
/usr/share/astguiclient/VICIDIAL_IN_new_leads_file.pl --forcelistid=107 forcephonecode=1

#configure crontab
if [ ! -f /var/spool/cron/root ]; then
  #grep fails if file does not exist
  touch /var/spool/cron/root
fi
grep vicidial /var/spool/cron/root >/dev/null
if [ "$?" == "1" ]; then
  cat astguiclient.crontab >> /var/spool/cron/root
fi

echo Complete!
